URL structure
Supported methods and overview
POST( Deprecated ) - used to delete one or more existing user whitelist rule/s (specified by their IDs in the body of the request) of any organization, in a single action (available to Safe Share administrators only).
This endpoint is deprecated and should no longer be used. Organization administrators can delete existing user whitelist rules by calling the
DELETE method on the <access-service>/api/v1/organisations/{orgId}/userwhitelist/{whitelistId} API endpoint.Detailed description
This API endpoint deletes one or more existing user whitelist rule/s (specified by their IDs in the body of the request) of any organization, in a single action (available to Safe Share administrators only). It is possible to check which existing Covata user accounts will be affected (i.e. regain the ability to be shared content) by calling the <access-service>/api/v1/organisations/{orgId}/userwhitelist/check API endpoint with an action parameter value of delete in the JSON object, along with the ids (i.e. of each whitelist rule to be deleted) in the items array. Organization administrators can delete a single user whitelist rule by calling theDELETE method of the <access-service>/api/v1/organisations/{orgId}/userwhitelist/{whitelistId} API endpoint.
Deleting the last user whitelist rule in an organization results in the user whitelist feature being disabled for that organization.
Supported roles
This API endpoint supports the following Covata user roles (as described in the Safe Share Administrator’s Guide): The Covata Platform’s resources available to a Covata user meeting the criteria above is determined by the access token submitted in the header of requests to this endpoint.Required headers
The appropriate access token as theBearer token:
Authorization: Bearer eyJhbGciOiJSUzI1NiJ9.eyJleHAiOjE0NjcwMTY2NjYsInVzZXJfbmFtZSI6ImFsZXgub...
Content-Type: application/json
Required parameters
The following required parameter must be sent in the URL of the POST request:-
action - The enumeration (enum) value
delete.
Example (request URL):
-
ids - An array of IDs of individual user whitelist rules to be deleted.
Example (request body):
Returns
If the request succeeded, then an HTTP response status200 OK is returned.
